

#ifndef _MACH64FB_H_LOADED_
#define _MACH64FB_H_LOADED_


   /*
    *    Accelerated Functions used by the low level console driver
    */

void Mach64_WaitQueue(u_short fifo);

void Mach64_WaitBlit(void);

void 
Mach64_BitBLT(
  int srcx,
  int srcy,
  int destx,
  int desty,
  u_int width,
  u_int height,
  u_short mode);


void 
Mach64_RectFill(
  int     xpos,
  int     ypos,
  u_int   width,
  u_int   height,
  u_int   mode,
  u_int   fcolor);

void Mach64_MoveCursor(u_short xpos, u_short ypos);


/*============================================================================*/
/* RCS-ID */

#define MACH64FB_H_ID \
  "@(#) Linux-m68k: 1997 11 21 17:12:18 BHA: mach64fb.h "

/*                                      ^^^                           */
/* Please update this & put your initials here on every modification. */
/* It can be checked with '  strings vmlinux | grep "@(#) "  '        */
/*============================================================================*/

#endif /* _MACH64FB_H_LOADED_ */
